dpkg-name(1)

BEZEICHNUNG
dpkg-name - Debian-Pakete zu vollen Paketnamen umbenennen

ÜBERSICHT
dpkg-name [Option …] [--] Datei …

BESCHREIBUNG
Diese Handbuchseite dokumentiert das dpkg-name-Programm, das eine einfache Möglichkeit bereitstellt, Debian-Pakete in ihren vollen Paketnamen umzubenennen. Ein voller Paketname besteht aus Paket_Version_Architektur.Pakettyp wie in der Steuerdatei des Pakets angegeben. Der Version-Teil des Dateinamens besteht aus der Versionsinformation der Originalautoren, optional gefolgt von einem Bindestrich und der Revisionsinformation. Der Pakettyp-Teil entstammt dem Feld package_type (falls vorhanden) oder wird auf deb gesetzt.

OPTIONEN

-a, --no-architecture
    Der Zieldateiname wird keine Architekturinformation enthalten.

-k, --symlink
    Legt einen Symlink an, anstatt zu verschieben.

-o, --overwrite
    Existierende Dateien werden überschrieben, falls sie den gleichen Namen wie der Zieldatei haben.

-s, --subdir [Verzeichnis]
    Dateien werden in ein Unterverzeichnis verschoben. Falls das als Argument existierende Verzeichnis existiert, dann werden die Dateien in das Verzeichnis verschoben, andernfalls wird das Zielverzeichnis aus dem „section“-Feld des Steuerteils des Pakets entnommen. Das Zielverzeichnis wird „unstable/binary-Architektur/Bereich“ sein. Falls die Sektion nicht in der Steuerdatei gefunden werden kann, dann wird no-section angenommen, und in diesem Fall, wie auch für die Sektionen non-free und contrib ist das Zielverzeichnis „Bereich/binary-Architektur“. Das Sektionsfeld muss nicht angegeben werden, daher werden viele Pakete ihren Weg in das no-section-Gebiet finden.

    Warnung: Verwenden Sie diese Option mit Vorsicht, sie ist unordentlich.

-c, --create-dir
    Diese Option kann zusammen mit der Option -s verwendet werden. Falls das Zielverzeichnis nicht gefunden werden kann, wird es automatisch angelegt.

    Warnung: Verwenden Sie diese Option mit Vorsicht.

-?, --help
    Zeigt einen Hinweis zum Aufruf und beendet das Programm.

-v, --version
    Gibt die Version aus und beendet das Programm.

UMGEBUNG

DPKG_COLORS
    Setzt den Farbmodus (seit Dpkg 1.18.5). Die derzeit unterstützten Werte sind: auto (Vorgabe), always und never.

DPKG_NLS
    Falls dies gesetzt ist, wird es zur Entscheidung, ob Native Language Support, auch als Unterstützung für Internationalisierung (oder i18n) bekannt, aktiviert wird (seit Dpkg 1.19.0). Die akzeptierten Werte sind: 0 und 1 (Vorgabe).

FEHLER
Einige Pakete folgen nicht der Namensstruktur Paket_Version_Architektur.deb. Pakete, die von dpkg-name umbenannt wurden, folgen dieser Struktur. Im Allgemeinen hat diese keinen Einfluss darauf, wie Pakete von dselect(1)/dpkg(1) installiert werden, aber andere Installationswerkzeuge können auf diese Benennungsstruktur angewiesen sein.

BEISPIELE

dpkg-name bar-foo.deb
    Die Datei bar-foo.deb wird in bar-foo_1.0-2_i386.deb oder etwas Ähnliches (abhängig von der Information, die in dem Steuerteil von bar-foo.deb ist) umbenannt.

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    Alle Dateien mit der Endung deb im Verzeichnis /root/debian und seiner Unterverzeichnisse werden von dpkg-name - falls notwendig - ohne Architekturinformation umbenannt.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Machen Sie das nicht. Ihr Archiv wird eine kompletter Saustall werden, da viele Pakete nicht mit Sektionsinformationen kommen. Machen Sie dies nicht.

dpkg-deb --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    Dies kann beim Bau neuer Pakete verwendet werden.

SIEHE AUCH
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2023 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.